import request from '@/utils/request'

// 查询选科测试卷列表
export function listSyTestPaper(query) {
  return request({
    url: '/sy/syTestPaper/list',
    method: 'get',
    params: query
  })
}

// 查询选科测试卷详细
export function getSyTestPaper(paperId) {
  return request({
    url: '/sy/syTestPaper/' + paperId,
    method: 'get'
  })
}

// 新增选科测试卷
export function addSyTestPaper(data) {
  return request({
    url: '/sy/syTestPaper',
    method: 'post',
    data: data
  })
}

// 修改选科测试卷
export function updateSyTestPaper(data) {
  return request({
    url: '/sy/syTestPaper',
    method: 'put',
    data: data
  })
}

// 删除选科测试卷
export function delSyTestPaper(paperId) {
  return request({
    url: '/sy/syTestPaper/' + paperId,
    method: 'delete'
  })
}

// 导出选科测试卷
export function exportSyTestPaper(query) {
  return request({
    url: '/sy/syTestPaper/export',
    method: 'get',
    params: query
  })
}